Skip to content

[finding] README.md — README and RFC 0021's own state machine and decision table s #774

Open

Description

@TheFJK

Origin: 2c6db44177351a84156c12e838aceecd76f8713b
Agent: premerge.review.code_review
File: README.md:363
Severity: suggestion (Phase premerge)
Disposition: DEFERRED (premerge-repair-budget-exhausted)
Tier: SUGGESTION
Related: PR #768

Findings (1)

1. README.md:363 — suggestion / SUGGESTION / DEFERRED (premerge-repair-budget-exhausted) — README and RFC 0021's own state machine and decision table still enumerate only the pre-existing stops; STOP_SELF_REFERE

Lenses: premerge.review.code_review

README.md still says 'What actually ends the loop is evidence: STOP_NO_PROGRESS ... STOP_REGRESSED ... Those two are the real guard'. RFC 0021's phase state machine lists four stops and its decision table has four stop rows. A reader who hits DECISION=STOP_SELF_REFERENTIAL in a run log and looks it up finds a closed enumeration that does not contain it, and the RFC's table is the one tests/premerge.test.sh treats as the design authority.

To resolve: address the findings above in code and close this issue. Closing resolves exactly the findings listed in this body and the findings added by a later comment on it — one index records both, and closing resolves that recorded set and nothing else. A finding in this file that this issue never recorded is filed as a NEW issue rather than suppressed, so closing never mutes the file. Before closing, apply finding:true-positive if it was a real defect or finding:false-positive if it was not — that label is the eval ground truth (RFC 0018).

Activity

  1. added
    premerge-findingAuto-filed by /uberdev:premerge from deferred findings (RFC 0002)
    on Aug 24, 2026
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment

Metadata

Metadata

Assignees

No one assigned

    Labels

    premerge-findingAuto-filed by /uberdev:premerge from deferred findings (RFC 0002)

    Type

    No type

    Projects

    No projects

      Milestone

      No milestone

      Relationships

      None yet

      Development

      No branches or pull requests

      Issue actions